Last Comment Bug 660569 - Settings missing their checkbox in Gingerbread theme
: Settings missing their checkbox in Gingerbread theme
Status: VERIFIED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P1 major (vote)
: Firefox 6
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
:
Mentors:
Depends on:
Blocks: 659457
  Show dependency treegraph
 
Reported: 2011-05-29 20:29 PDT by Aaron Train [:aaronmt]
Modified: 2011-06-03 13:38 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Preferences (29.19 KB, image/png)
2011-05-29 20:29 PDT, Aaron Train [:aaronmt]
no flags Details
patch (7.87 KB, patch)
2011-05-29 21:28 PDT, Mark Finkle (:mfinkle) (use needinfo?)
no flags Details | Diff | Splinter Review
patch v2 (2.69 KB, patch)
2011-05-29 21:35 PDT, Mark Finkle (:mfinkle) (use needinfo?)
blassey.bugs: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2011-05-29 20:29:41 PDT
Created attachment 535985 [details]
Preferences

Mozilla/5.0 (Android; Linux armv7l; rv:7.0a1) Gecko/20110529 Firefox/7.0a1 Fennec/7.0a1

The following changeset [1] contains modifications to the Gingerbread theme which landed patches from Bug 659457. 

[1] http://hg.mozilla.org/mozilla-central/rev/113014cf801a

Preferences are missing their checkboxes, see attached screenshot.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-29 21:28:45 PDT
Created attachment 535999 [details] [diff] [review]
patch

Ugh. I renamed the check images to use hdpi, but I didn't clobber my local build so the old *-46.png images were still in my APK - which made the CSS error go unnoticed.

I also noticed one of the tab background images was renamed incorrectly and was therefore never updated. That is fixed too.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-29 21:35:53 PDT
Created attachment 536000 [details] [diff] [review]
patch v2

Minus the debug cruft. I am going to land this as theme bustage, but still want a review in case I need any other fixes.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-29 21:46:42 PDT
http://hg.mozilla.org/mozilla-central/rev/c0e8a86aec43
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-05-29 21:53:41 PDT
Comment on attachment 536000 [details] [diff] [review]
patch v2

Review of attachment 536000 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 5 Aaron Train [:aaronmt] 2011-05-30 06:49:11 PDT
Verified fixed:

Mozilla/5.0 (Android; Linux armv7l; rv:7.0a1) Gecko/20110530 Firefox/7.0a1 Fennec/7.0a1

http://hg.mozilla.org/mozilla-central/rev/c0e8a86aec43
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-02 13:36:10 PDT
Comment on attachment 536000 [details] [diff] [review]
patch v2

needed for the gingerbread on aurora stuff
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-02 19:42:58 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/14e3dc647d76

Note You need to log in before you can comment on or make changes to this bug.